no implicit conversion from nil to integer

06/20/2012 04:48 PM - Florian Koch

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

after the update to the 0.5.1-10 rpm i get these error on non BARE_METAL Servers

Started GET "/hosts/devtest.example.com/edit" for xxx.xxx.xxx.xxx at Wed Jun 20 22:44:31 +0200 201

2

  Processing by HostsController#edit as HTML

  Parameters: {"id"=>"devtest.example.com"}

Rendered hosts/_progress.erb (0.3ms)

Rendered hosts/_form.html.erb (9.0ms)

Rendered hosts/edit.html.erb within layouts/application (10.8ms)

Operation FAILED: no implicit conversion from nil to integer

Rendered bookmarks/_list.html.erb (1.9ms)

Rendered bookmarks/_list.html.erb (0.6ms)

Rendered home/_settings.html.erb (8.9ms)

Rendered home/_user_dropdown.rhtml (1.2ms)

Rendered home/_topbar.rhtml (20.8ms)

Rendered common/500.rhtml within layouts/application (168.2ms)

Completed 500 Internal Server Error in 195ms (Views: 168.6ms | ActiveRecord: 1.1ms)

(END) 

History

#1 - 06/21/2012 12:52 AM - Florian Koch

DEBUG LOG

Started GET "/hosts/devtest.example.com/edit" for xxx.xxx.xxx.xxx at Thu Jun 21 06:47:27 +0200 2012

Processing by HostsController#edit as HTML

Parameters: {"id"=>"devtest.example.com"}

ESC[1mESC[35mUser Load (0.2ms)ESC[0m  SELECT "users".* FROM "users" WHERE "users"."id" = 2 LIMIT 1

Setting current user thread-local variable to xxxxx

ESC[1mESC[36mSetting Load (0.3ms)ESC[0m  ESC[1mSELECT "settings".* FROM "settings" WHERE "settings"."name" =

'authorize_login_delegation' ORDER BY LOWER LIMIT 1ESC[0m

ESC[1mESC[35mCACHE (0.0ms)ESC[0m  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'authorize_login_delegation' ORDER

BY LOWER LIMIT 1

ESC[1mESC[36mSetting Load (0.3ms)ESC[0m  ESC[1mSELECT "settings".* FROM "settings" WHERE "settings"."name" = 'idle_timeout' ORDER

BY LOWER LIMIT 1ESC[0m

ESC[1mESC[35mHost Load (0.3ms)ESC[0m  SELECT "hosts".* FROM "hosts" WHERE "hosts"."name" = 'devtest.example.com' LIMIT 1

ESC[1mESC[36mEnvironment Load (0.2ms)ESC[0m  ESC[1mSELECT "environments".* FROM "environments" WHERE "environments"."id" = 1

ORDER BY LOWER LIMIT 1ESC[0m

ESC[1mESC[35mArchitecture Load (0.2ms)ESC[0m  SELECT "architectures".* FROM "architectures" WHERE "architectures"."id" = 1 LIMIT 1

ESC[1mESC[36mDomain Load (0.2ms)ESC[0m  ESC[1mSELECT "domains".* FROM "domains" WHERE "domains"."id" = 1 ORDER BY LOWER

LIMIT 1ESC[0m

ESC[1mESC[35mOperatingsystem Load (0.3ms)ESC[0m  SELECT "operatingsystems".* FROM "operatingsystems" WHERE "operatingsystems"."id"

= 3 ORDER BY LOWER LIMIT 1

ESC[1mESC[36mMedium Load (0.2ms)ESC[0m  ESC[1mSELECT "media".* FROM "media" WHERE "media"."id" = 6 ORDER BY LOWER LIMIT

1ESC[0m

Rendered hosts/_progress.erb (0.2ms)

ESC[1mESC[35mHypervisor Load (0.3ms)ESC[0m  SELECT "hypervisors".* FROM "hypervisors" ORDER BY LOWER LIMIT 1

ESC[1mESC[36mComputeResource Load (0.2ms)ESC[0m  ESC[1mSELECT "compute_resources".* FROM "compute_resources" ORDER BY

LOWERESC[0m
Rendered hosts/_form.html.erb (6.4ms)

Rendered hosts/edit.html.erb within layouts/application (7.5ms)

Operation FAILED: no implicit conversion from nil to integer

app/models/compute_resource.rb:75:in `[]'

app/models/compute_resource.rb:75:in `provider_friendly_name'

app/models/compute_resource.rb:69:in `to_label'

app/helpers/layout_helper.rb:70:in `select_f'

app/helpers/layout_helper.rb:94:in `field'

app/helpers/layout_helper.rb:93:in `field'

app/helpers/layout_helper.rb:91:in `field'

app/helpers/layout_helper.rb:69:in `select_f'

app/views/hosts/_form.html.erb:29:in `_app_views_hosts__form_html_erb__1877007306_70144596686740_1047710'

app/helpers/layout_helper.rb:146:in `form_for'

app/views/hosts/_form.html.erb:4:in `_app_views_hosts__form_html_erb__1877007306_70144596686740_1047710'

app/views/hosts/edit.html.erb:7:in `_app_views_hosts_edit_html_erb___370767543_70144596702220_0'

ESC[1mESC[35mUsergroup Load (0.4ms)ESC[0m  SELECT "usergroups".* FROM "usergroups" INNER JOIN "usergroup_members" ON

"usergroups".id = "usergroup_members".usergroup_id WHERE (("usergroup_members".member_type = 'User') AND

("usergroup_members".member_id = 2)) ORDER BY LOWER

ESC[1mESC[36mBookmark Load (0.3ms)ESC[0m  ESC[1mSELECT "bookmarks".* FROM "bookmarks" WHERE (((bookmarks.public = 't') OR

(bookmarks.owner_id in (NULL) AND bookmarks.owner_type = 'Usergroup') OR (bookmarks.owner_id = 2 AND bookmarks.owner_type = 'User')))

ORDER BY nameESC[0m

Rendered bookmarks/_list.html.erb (2.5ms)

Rendered bookmarks/_list.html.erb (300.5ms)

Rendered home/_settings.html.erb (25.1ms)

Rendered home/_user_dropdown.rhtml (5.2ms)

Rendered home/_topbar.rhtml (352.5ms)

Rendered common/500.rhtml within layouts/application (362.5ms)

Completed 500 Internal Server Error in 389ms (Views: 366.7ms | ActiveRecord: 1.1ms)

#2 - 06/21/2012 02:08 AM - Florian Koch

- Status changed from New to Closed

already fixed in 09ce13649ce41444f392dde148d29eb3437be3c2
